function p.get_is_solid() return false end
function p.get_tex() return "" end

function p.main()
    set_default_block("e")

    local msg_str = "Blocks usually have the same texture "
        .. "on each side.\n\n"
        .. "However, by defining the function "
        .. "^x00ff00get_tex_side_z_pos^! "
        .. "in the block's lua script, "
        .. "you can specify any texture you want "
        .. "for the positive z side.\n\n"
        .. "There are 6 versions of this function that allow you to "
        .. "change all sides: "
        .. "_x_pos, _x_neg, _y_pos, _y_neg, _z_pos, _z_neg."
    h.txt(9,9,1, msg_str)

    set_pos(7,7,2,"six_sides")

    --Stairs.
    set_pos(7,4,2,"s")
    set_pos(7,4,1,"s")
    set_pos(7,4,0,"s")
    --
    set_pos(8,4,1,"s")
    set_pos(8,4,0,"s")
    --
    set_pos(9,4,0,"s")
end
